Get funding address
curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/funds/addresses/{address_id} \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/addresses/{address_id}"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/addresses/{address_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address_id": "AB12345-6789A-BCDEFG",
"scope": {
"method_id": "2fa11f79-eeba-4d4e-afda-029abff6e29e"
},
"name": "My cold wallet",
"address_details": {
"crypto": {
"address": "bc1qexampleaddress",
"tag": "123",
"memo": "456"
}
}
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 400,
"code": "bad_request",
"causes": [
{
"field": "address_id",
"message": "must match the required funding-address format"
}
]
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 401,
"code": "unauthenticated"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 403,
"code": "forbidden"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 404,
"code": "not_found"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 429,
"code": "resource_exhausted"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 500,
"code": "internal"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 503,
"code": "unavailable"
}
}{
"error": {
"type": "funding_error",
"instance": "5f4d2a8e-91a4-4d6c-8a17-9b1e2c3f4a5b",
"status": 504,
"code": "deadline_exceeded"
}
}Funds
Get funding address
Returns one user-added cryptocurrency funding address registered for the selected account.
GET
/
v1
/
accounts
/
{account_id}
/
funds
/
addresses
/
{address_id}
Get funding address
Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Public identifier of the account that owns the funding address.
Required string length:
1 - 64Stable funding-address identifier returned when the address was registered.
Required string length:
20Pattern:
^AB[A-Za-z0-9]{5}-[A-Za-z0-9]{5}-[A-Za-z0-9]{6}$Response
Cryptocurrency funding address retrieved for the selected account.
User-added cryptocurrency funding address retrieved for the selected account.
A user-added cryptocurrency funding address.
Show child attributes
Show child attributes